BizKitHub
DocsAPI ReferenceEmailer/bff/emailer/template-url-attachment-test
postEmailerAdmin BFF

/bff/emailer/template-url-attachment-test

Fills the address with sample values, downloads it once and reports file name, type and size. Nothing is stored or sent.

EmailerpostBffEmailerTemplate-url-attachment-test

Parameters

JSON body

Request body

application/json
typeCodestringRequired
urlTemplatestringRequired
Length: 0–2000
filenameTemplatestring | nullOptional
One of 2:
Variant 1
string
Length: 0–255
Variant 2
null
sampleValuesobjectOptional

Response schema

1 status code documented

200Success
okbooleanRequired
urlstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
filenamestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
contentTypestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
sizenumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
errorstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null

Response example

application/json
{
  "ok": false
}

Request example

POST /bff/emailer/template-url-attachment-test

post
curl -X POST "https://api.bizkithub.com/bff/emailer/template-url-attachment-test" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "typeCode": "example_typeCode",
  "urlTemplate": "example_urlTemplate",
  "sampleValues": {}
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key